cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/payments/PAY-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.payments.get_payment_note_files(
"PAY-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.payments.getPaymentNoteFiles('PAY-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->payments->getPaymentNoteFiles(
'PAY-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.NoteFileList;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteFileList> response = client.payments().getPaymentNoteFiles(
"PAY-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Payments.GetPaymentNoteFilesAsync(
"PAY-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.payments.getPaymentNoteFiles(
'PAY-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Payments().GetPaymentNoteFiles(context.Background(), "PAY-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"url": "<string>",
"data": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
}
}Payments
List a payment note's files
Returns the files attached to a note on a payment.
GET
/
payments
/
{payment_id}
/
notes
/
{payment_note_id}
/
files
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/payments/PAY-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.payments.get_payment_note_files(
"PAY-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.payments.getPaymentNoteFiles('PAY-0001', 'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->payments->getPaymentNoteFiles(
'PAY-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.NoteFileList;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteFileList> response = client.payments().getPaymentNoteFiles(
"PAY-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Payments.GetPaymentNoteFilesAsync(
"PAY-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.payments.getPaymentNoteFiles(
'PAY-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Payments().GetPaymentNoteFiles(context.Background(), "PAY-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"url": "<string>",
"data": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
}
}Lists the note’s attachments under
data, each with its uuid, filename, content_type, size and href.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The payment's id.
The note's id, as the payment's notes listing returns it.